\ProvidesPackage{prettycookbook}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Package Dependencies
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\usepackage[nonumber,index,contents]{cuisine}
\usepackage{nicefrac} % Required by cuisine

\usepackage[top=1in, bottom=1in]{geometry}
\usepackage[compact,clearempty]{titlesec}
\usepackage{titletoc}
\usepackage[hidelinks]{hyperref}


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Define sections
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Part
%
% In cookbook, parts play the role of grouping types of recipes together --
% e.g. Main dishes, desserts, soups, etc. Each part has a local TOC.
\titleformat{\part}[block]{\center\normalfont\huge\bfseries}{}{0pt}{\Huge}{}
\titlespacing*{\part}{0pt}{-50pt}{0pt}
\titleclass{\part}{top}  % Get rid of the cleardoublepage for parts so the
                         % part TOC appears on the same page as the part title.

% Chapter
% In cookbook, chapters are individual recipes. This makes it trivial to
% create a local TOC entry at the start of a part.
\titleformat{\chapter}[display]{\normalfont\huge\bfseries}{}{0pt}{\Huge}{}
\titlespacing*{\chapter}{0pt}{-50pt}{0pt}

